MyGUI 3.2.2

Public Types | Static Public Member Functions
MyGUI::GenericFactory< Type > Class Template Reference

`#include <MyGUI_GenericFactory.h>`

## Public Types
typedef delegates::CDelegate1< IObject *& > | Delegate

## Static Public Member Functions
static Delegate::IDelegate * | getFactory ()

## Detailed Description

### template<typename Type>
class MyGUI::GenericFactory< Type >

Definition at line 18 of file MyGUI_GenericFactory.h.

## Member Typedef Documentation

## ◆ Delegate

template<typename Type >

typedef delegates::CDelegate1<IObject*&> MyGUI::GenericFactory< Type >::Delegate

Definition at line 21 of file MyGUI_GenericFactory.h.

## Member Function Documentation

## ◆ getFactory()

template<typename Type >

static Delegate::IDelegate* MyGUI::GenericFactory< Type >::getFactory | ( |  | ) |
| inline static

Definition at line 22 of file MyGUI_GenericFactory.h.

The documentation for this class was generated from the following file:

- MyGUI_GenericFactory.h